stylelint-config-wikimedia

0.16.1 • Public • Published

stylelint-config-wikimedia

NPM version

Wikimedia CSS Coding Standards shareable config for stylelint

Configuration rules to ensure your CSS is compliant with the Wikimedia CSS Coding Standards.

Installation

$ npm install -D stylelint-config-wikimedia

Usage

Set your stylelint config file, .stylelintrc.json, to:

{
	"extends": "stylelint-config-wikimedia"
}

If you would also like to enable rules to disallow CSS which is unsupported by modern browsers Grade A or basic supported browsers Grade C browsers, you can use the following configurations instead:

{
	"extends": "stylelint-config-wikimedia/support-modern"
}
{
	"extends": "stylelint-config-wikimedia/support-basic"
}

If you are using in a MediaWiki environment, you can add the following config:

{
	"extends": [
		"stylelint-config-wikimedia",
		"stylelint-config-wikimedia/mediawiki"
	]
}

If you need to combine this with browser support rules:

{
	"extends": [
		"stylelint-config-wikimedia/support-modern",
		"stylelint-config-wikimedia/mediawiki"
	]
}

Extend or override the configuration

Add a "rules" object to your config file, and add your overrides or additional rules there, for example:

{
	"extends": "stylelint-config-wikimedia/support-basic",
	"rules": {
		"stylistic/max-empty-lines": null
	}
}

Changelog

You can read the changelog for release versions.

License

This is available under the MIT License.

Package Sidebar

Install

npm i stylelint-config-wikimedia

Weekly Downloads

20,752

Version

0.16.1

License

MIT

Unpacked Size

27.5 kB

Total Files

11

Last publish

Collaborators

  • mvolz
  • lwatz16
  • tchin25
  • egardner
  • ottomata
  • annetee
  • jgiannelos-wmf
  • joakin
  • krinkle
  • jdforrester
  • edg2s
  • volker_e
  • catrope
  • santhosh.thottingal
  • cscott
  • subbu_ss
  • arlolra
  • jdlrobson
  • mateusbs17
  • brightbyte
  • phuedx
  • nrayio
  • jandre3000
  • sbassett29
  • nikerabbit